settings.check .settings.win $1-
settings.win {
  if (EXIT isin $1) { .timer902 off | window -c @settings }
  elseif (Disable isin $1 && All == $2 && Auto == $3) {
    .chantoggle.win autounban ON
    .chantoggle.win autobanrejoin ON
    .chantoggle.win nickprotect ON
    .chantoggle.win autocsunban ON
    .chantoggle.win autokickrejoin ON
    .chantoggle.win autochanservreop ON
    .chantoggle.win autorecovernick ON
    .settings.check Auto Toggles
  }
  elseif (Enable isin $1 && All == $2 && Protection isin $3) {
    .chantoggle.win msgfloodprot OFF
    .chantoggle.win noticefloodprot OFF
    .chantoggle.win ctcpfloodprot OFF
    .chantoggle.win dccfloodprot OFF
    .settings.check Personal Protection
  }
  elseif (Disable isin $1 && All == $2 && Protection isin $3) {
    .chantoggle.win msgfloodprot ON
    .chantoggle.win noticefloodprot ON
    .chantoggle.win ctcpfloodprot ON
    .chantoggle.win dccfloodprot ON
    .settings.check Personal Protection
  }
  elseif (Enable isin $1 && All == $2 && Auto == $3) {
    .chantoggle.win autounban OFF
    .chantoggle.win autobanrejoin OFF
    .chantoggle.win nickprotect OFF
    .chantoggle.win autocsunban OFF
    .chantoggle.win autokickrejoin OFF
    .chantoggle.win autochanservreop OFF
    .chantoggle.win autorecovernick OFF
    .settings.check Auto Toggles
  }
  elseif (Remove isin $1 && Text == $5) { .window -n @settings | delchan.win -t $$?="Enter the Channel to Remove?" | .settings.check Text Flood Protection }
  elseif (Add isin $1 && Text == $5) { .window -n @settings | addchan.win -t $$?="Enter the Channel to Add?" | .settings.check Text Flood Protection }
  elseif (Text isin $1 && Protection: isin $3) { .chantoggle.win textfloodprot %textfloodprot | .settings.check Text Flood Protection }
  elseif (Text isin $1 && Ops isin $4) { .chantoggle.win textfloodops %textfloodops | .settings.check Text Flood Protection }
  elseif (Text isin $1) && (Lines: isin $4 || Characters: isin $4) { .settings.check Text Flood Protection }
  elseif (Change isin $1 && Text == $4 && Characters == $5) { .window -n @settings | .set %charlimit $$?="Enter Number of Characters to trigger flood" | .set %currentcharlimit %charlimit characters | .settings.check Text Flood Protection }
  elseif (Change isin $1 && Text == $4 && Lines == $5) { .window -n @settings | .set %textlimit $$?="Enter Number of Lines to trigger flood" | .set %currenttextlimit %textlimit lines | .settings.check Text Flood Protection }
  elseif (Text isin $1 && Channels: isin $3) { .settings.check Text Flood Protection }
  
  elseif (Remove isin $1 && Act == $5) { .window -n @settings | delchan.win -a $$?="Enter the Channel to Remove?" | .settings.check Act Flood Protection }
  elseif (Add isin $1 && Act == $5) { .window -n @settings | addchan.win -a $$?="Enter the Channel to Add?" | .settings.check Act Flood Protection }
  elseif (Act isin $1 && Protection: isin $3) { .chantoggle.win actfloodprot %actfloodprot | .settings.check Act Flood Protection }
  elseif (Act isin $1 && Ops isin $4) { .chantoggle.win actfloodops %actfloodops | .settings.check Act Flood Protection }
  elseif (Act isin $1) && (Lines: isin $4 || Characters: isin $4) { .settings.check Act Flood Protection }
  elseif (Change isin $1 && Act == $4 && Characters == $5) { .window -n @settings | .set %charlimit $$?="Enter Number of Characters to trigger flood" | .set %currentcharlimit %charlimit lines | .settings.check Text Flood Protection }
  elseif (Change isin $1 && Act == $4 && Lines == $5) { .window -n @settings | .set %textlimit $$?="Enter Number of Lines to trigger flood" | .set %currenttextlimit %textlimit lines | .settings.check Text Flood Protection }
  elseif (Act isin $1 && Channels: isin $3) { .settings.check Act Flood Protection }
  
  elseif (Remove isin $1 && Nick == $5) { .window -n @settings | delchan.win -n $$?="Enter the Channel to Remove?" | .settings.check Nick Flood Protection }
  elseif (Add isin $1 && Nick == $5) { .window -n @settings | addchan.win -n $$?="Enter the Channel to Add?" | .settings.check Nick Flood Protection }
  elseif (Nick isin $1 && Protection: isin $3) { .chantoggle.win nickfloodprot %nickfloodprot | .settings.check Nick Flood Protection }
  elseif (Nick isin $1 && Ops isin $4) { .chantoggle.win nickfloodops %nickfloodops | .settings.check Nick Flood Protection }
  elseif (Nick isin $1 && Channels: isin $3) { .settings.check Nick Flood Protection }
  
  elseif (Remove isin $1 && Word == $6) { .window -n @settings | delchan.win -bw $$?="Enter the Channel to Remove?" | .settings.check Bad Word Protection }
  elseif (Add isin $1 && Word == $6) { .window -n @settings | addchan.win -bw $$?="Enter the Channel to Add?" | .settings.check Bad Word Protection }
  elseif (Word isin $2 && Protection: isin $3) { .chantoggle.win badwordcheck %badwordcheck | .settings.check Bad Word Protection }
  elseif (Word isin $2 && Ops isin $4) { .chantoggle.win badwordops %badwordops | .settings.check Bad Word Protection }
  elseif (Word isin $2 && Channels: isin $3) { .settings.check Bad Word Protection }
  elseif (Add isin $1 && Word isin $7) { .window -n @settings | .toggle.win Added badwordlist $$?="Enter New Word to Kicklist" 32 Bad Word Kick | .settings.check Bad Word Protection }
  elseif (Remove isin $1 && Word isin $7) { .window -n @settings | .toggle.win Removed badwordlist $$?="Enter Word to Remove" 32 Bad Word Kick | .settings.check Bad Word Protection }
  
  elseif (Remove isin $1 && Nick == $6) { .window -n @settings | delchan.win -bn $$?="Enter the Channel to Remove?" | .settings.check Bad Nick Protection }
  elseif (Add isin $1 && Nick == $6) { .window -n @settings | addchan.win -bn $$?="Enter the Channel to Add?" | .settings.check Bad Nick Protection }
  elseif (Nick isin $2 && Protection: isin $3) { .chantoggle.win badnickcheck %badnickcheck | .settings.check Bad Nick Protection }
  elseif (Nick isin $2 && Ops isin $4) { .chantoggle.win badnickops %badnickops | .settings.check Bad Nick Protection }
  elseif (Nick isin $2 && Channels: isin $3) { .settings.check Bad Nick Protection }
  elseif (Add isin $1 && Nick isin $7) { .window -n @settings | .toggle.win Added badnicklist $$?="Enter New Nick to Kicklist" 32 Bad Nick Kick | .settings.check Bad Nick Protection }
  elseif (Remove isin $1 && Nick isin $7) { .window -n @settings | .toggle.win Removed badnicklist $$?="Enter Nick to Remove" 32 Bad Nick Kick | .settings.check Bad Nick Protection }
  
  elseif (Nick isin $2 && Protection isin $3) { 
    .winclear @settings
    .window -r @settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(33,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(43,*)
    .aline @Settings Bad Nick Protection: > $+ $str(32,-) $+ < %currentbadnickcheck
    .aline @Settings Bad Nick Kick Ops? > $+ $str(32,-) $+ < %currentbadnickops
    .aline @Settings Bad Nick Channels: %badnickchans
    .aline @Settings Bad Nick List: %badnicklist
    .aline @Settings $str(80,*)
    .aline @Settings $str(18,-) $+ < $+ Remove a Channel to Bad Nick Protection $+ > $+ $str(66,-)
    .aline @Settings $str(20,-) $+ < $+ Add a Channel to Bad Nick Protection $+ > $+ $str(56,-)
    .aline @Settings $str(19,-) $+ < $+ Remove a word from the Bad Nick List $+ > $+ $str(56,-)
    .aline @Settings $str(22,-) $+ < $+ Add a word to the Bad Nick List $+ > $+ $str(46,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(66,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;    .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection
  }
  elseif (Word isin $2 && Protection isin $3) { 
    .winclear @settings
    .window -r @settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(19,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(24,*)
    .aline @Settings Bad Word Protection: > $+ $str(32,-) $+ < %currentbadwordcheck
    .aline @Settings Bad Word Kick Ops? > $+ $str(32,-) $+ < %currentbadwordops
    .aline @Settings Bad Word Channels: %badwordchans
    .aline @Settings Bad Word List: %badwordlist
    .aline @Settings $str(80,*)
    .aline @Settings $str(18,-) $+ < $+ Remove a Channel to Bad Word Protection $+ > $+ $str(56,-)
    .aline @Settings $str(20,-) $+ < $+ Add a Channel to Bad Word Protection $+ > $+ $str(56,-)
    .aline @Settings $str(19,-) $+ < $+ Remove a word from the Bad Word List $+ > $+ $str(56,-)
    .aline @Settings $str(22,-) $+ < $+ Add a word to the Bad Word List $+ > $+ $str(56,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(66,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;    .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection
  }
  elseif (Nick isin $1 && Protection isin $3) { 
    .winclear @settings
    .window -r @settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(19,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(24,*)
    .aline @Settings Nick Flood Protection: > $+ $str(32,-) $+ < %currentnickfloodprot
    .aline @Settings Nick Flood Kick Ops? > $+ $str(32,-) $+ < %currentnickfloodops
    .aline @Settings Nick Flood Channels: %nickfloodchans
    .aline @Settings $str(80,*)
    .aline @Settings $str(18,-) $+ < $+ Remove a Channel to Nick Flood Protection $+ > $+ $str(56,-)
    .aline @Settings $str(20,-) $+ < $+ Add a Channel to Nick Flood Protection $+ > $+ $str(66,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(66,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection
  }
  elseif (Act isin $1 && Protection isin $3) { 
    .winclear @settings
    .window -r @settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(19,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(24,*)
    .aline @Settings Act Flood Protection: > $+ $str(32,-) $+ < %currentactfloodprot
    .aline @Settings Act Flood Kick Ops? > $+ $str(32,-) $+ < %currentactfloodops
    .aline @Settings Act Flood $chr(35) Lines: > $+ $str(35,-) $+ < %currenttextlimit
    .aline @Settings Act Flood $chr(35) Characters: > $+ $str(29,-) $+ < %currentcharlimit
    .aline @Settings Act Flood Channels: %actfloodchans
    .aline @Settings $str(80,*)
    .aline @Settings $str(18,-) $+ < $+ Remove a Channel to Act Flood Protection $+ > $+ $str(76,-)
    .aline @Settings $str(20,-) $+ < $+ Add a Channel to Act Flood Protection $+ > $+ $str(66,-)
    .aline @Settings $str(22,-) $+ < $+ Change $chr(35) of Act Characters to Kick $+ > $+ $str(66,-)
    .aline @Settings $str(24,-) $+ < $+ Change $chr(35) of Act Lines to Kick $+ > $+ $str(66,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(66,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection
  }
  elseif (Text isin $1 && Protection isin $3) { 
    .winclear @settings
    .window -r @settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(59,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(64,*)
    .aline @Settings Text Flood Protection: > $+ $str(32,-) $+ < %currenttextfloodprot
    .aline @Settings Text Flood Kick Ops? > $+ $str(32,-) $+ < %currenttextfloodops
    .aline @Settings Text Flood $chr(35) Lines: > $+ $str(35,-) $+ < %currenttextlimit
    .aline @Settings Text Flood $chr(35) Characters: > $+ $str(29,-) $+ < %currentcharlimit
    .aline @Settings Text Flood Channels: %textfloodchans
    .aline @Settings $str(80,*)
    .aline @Settings $str(18,-) $+ < $+ Remove a Channel to Text Flood Protection $+ > $+ $str(66,-)
    .aline @Settings $str(20,-) $+ < $+ Add a Channel to Text Flood Protection $+ > $+ $str(66,-)
    .aline @Settings $str(22,-) $+ < $+ Change $chr(35) of Text Characters to Kick $+ > $+ $str(66,-)
    .aline @Settings $str(24,-) $+ < $+ Change $chr(35) of Text Lines to Kick $+ > $+ $str(66,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(66,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection
    ;.chantoggle.win textfloodprot %textfloodprot | .settings.check Channel Protection
  }
  ;elseif (Act == $1 && Protection == $3) { .chantoggle.win actfloodprot %actfloodprot | .settings.check Channel Protection }
  ;elseif (Nick == $1 && Protection == $3) { .chantoggle.win nickfloodprot %nickfloodprot | .settings.check Channel Protection }
  ;elseif (Word == $2 && Protection == $3) { .chantoggle.win badwordcheck %badwordcheck | .settings.check Channel Protection }
  ;elseif (Nick == $2 && Protection == $3) { .chantoggle.win badnickcheck %badnickcheck | .settings.check Channel Protection }
  elseif (Increase isin $1 && Message == $6) { .floodadjust msglimit up | .settings.check Personal Protection }
  elseif (Decrease isin $1 && Message == $6) { .floodadjust msglimit down | .settings.check Personal Protection }
  elseif (Increase isin $1 && Notice == $6) { .floodadjust noticelimit up | .settings.check Personal Protection }
  elseif (Decrease isin $1 && Notice == $6) { .floodadjust noticelimit down | .settings.check Personal Protection }
  elseif (Previous isin $1) { .settings.check %settings.prev }
  elseif (Message isin $1 && Protection isin $3) { .chantoggle.win msgfloodprot %msgfloodprot | .settings.check Personal Protection }
  elseif (Notice isin $1 && Protection isin $3) { .chantoggle.win noticefloodprot %noticefloodprot | .settings.check Personal Protection }
  elseif (CTCP isin $1 && Protection isin $3) { .chantoggle.win ctcpfloodprot %ctcpfloodprot | .settings.check Personal Protection }
  elseif (DCC isin $1 && Protection isin $3) { .chantoggle.win dccfloodprot %dccfloodprot | .settings.check Personal Protection }
  elseif (Unban == $2 && script isin $3) { .chantoggle.win autounban %autounban | .settings.check Auto toggles }
  elseif (Unban == $2 && Chanserv isin $3) { .chantoggle.win autocsunban %autocsunban | .settings.check Auto toggles }
  elseif (Rejoin == $2 && Unban == $4) { .chantoggle.win autobanrejoin %autobanrejoin | .settings.check Auto toggles }
  elseif (Ghost == $2 && Kill == $3) { .chantoggle.win nickprotect %nickprotect | .settings.check Auto toggles }
  elseif (Nick == $2 && Recover == $3) { .chantoggle.win autorecovernick %autorecovernick | .settings.check Auto toggles }
  elseif (Rejoin == $2 && Kick == $4) { .chantoggle.win autokickrejoin %autokickrejoin | .settings.check Auto toggles }
  elseif (Reop == $2 && Chanserv isin $3) { .chantoggle.win autochanservreop %autochanservreop | .settings.check Auto toggles }
  
  elseif (Channel isin $1 && Protection isin $2) {
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(59,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(64,*)
    .aline @Settings $str(30,-) $+ < $+ Clone Detection $+ > $+ $str(62,-)
    .aline @Settings $str(28,-) $+ < $+ Perv Check Detection $+ > $+ $str(62,-)
    .aline @Settings $str(28,-) $+ < $+ Text Flood Protection $+ > $+ $str(62,-) 
    .aline @Settings $str(28,-) $+ < $+ Act Flood Protection $+ > $+ $str(63,-) 
    .aline @Settings $str(28,-) $+ < $+ Nick Flood Protection $+ > $+ $str(62,-) 
    .aline @Settings $str(29,-) $+ < $+ Bad Word Protection $+ > $+ $str(63,-) 
    .aline @Settings $str(29,-) $+ < $+ Bad Nick Protection $+ > $+ $str(64,-) 
    .aline @Settings $str(90,*)
    
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(76,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(80,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .unset %settings.prev
  }
  elseif (Personal isin $1 && Protection isin $2) {
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(79,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(74,*)
    .aline @Settings Message Flood Protection > $+ $str(30,-) $+ < %currentmsgfloodprot
    .aline @Settings Notice Flood Protection > $+ $str(32,-) $+ < %currentnoticefloodprot
    .aline @Settings CTCP Flood Protection > $+ $str(32,-) $+ < %currentctcpfloodprot
    .aline @Settings DCC Flood Protection > $+ $str(33,-) $+ < %currentdccfloodprot
    .aline @Settings Message Flood Lines > $+ $str(34,-) $+ < %msglimit Lines
    .aline @Settings Notice Flood Lines > $+ $str(36,-) $+ < %noticelimit Lines
    .aline @Settings $str(80,*)
    .aline @Settings $str(20,-) $+ < $+ Increase $chr(35) of Lines for Message Flood $+ > $+ $str(76,-)
    .aline @Settings $str(20,-) $+ < $+ Decrease $chr(35) of Lines for Message Flood $+ > $+ $str(76,-)
    .aline @Settings $str(21,-) $+ < $+ Increase $chr(35) of Lines for Notice Flood $+ > $+ $str(66,-)
    .aline @Settings $str(21,-) $+ < $+ Decrease $chr(35) of Lines for Notice Flood $+ > $+ $str(76,-)
    .aline @Settings $str(29,-) $+ < $+ Disable All Protection $+ > $+ $str(76,-)
    .aline @Settings $str(30,-) $+ < $+ Enable All Protection $+ > $+ $str(76,-)
    .aline @Settings $str(80,*)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(76,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .unset %settings.prev
  }
  elseif (Auto isin $1 && Toggles isin $2) {
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(79,*)
    .aline @Settings $str(17,*) Double click on the setting to toggle $str(74,*)
    .aline @Settings Auto Unban (script) > $+ $str(36,-) $+ < %currentautounban
    .aline @Settings Auto Unban (Chanserv) > $+ $str(32,-) $+ < %currentautocsunban
    .aline @Settings Auto Rejoin on Unban > $+ $str(33,-) $+ < %currentautobanrejoin
    .aline @Settings Auto Ghost Kill > $+ $str(40,-) $+ < %currentnickprotect
    .aline @Settings Auto Nick Recover on Ghost Kill > $+ $str(22,-) $+ < %currentautorecovernick
    .aline @Settings Auto Rejoin on Kick > $+ $str(35,-) $+ < %currentautokickrejoin
    .aline @Settings Auto Reop (Chanserv) > $+ $str(33,-) $+ < %currentautochanservreop
    .aline @Settings $str(80,*)
    .aline @Settings $str(27,-) $+ < $+ Disable All Auto Settings $+ > $+ $str(76,-)
    .aline @Settings $str(28,-) $+ < $+ Enable All Auto Settings $+ > $+ $str(76,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(76,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .unset %settings.prev
  }
  elseif (Nick == $1 && Pass: == $4) {
    %nickserv.lower = $findtok(%nickserv.nicks,$3,32)
    %nickserv.upper = $findtok(%nickserv.nicks,$3,32)
    .dec %nickserv.lower
    .inc %nickserv.upper
    %nickserv.nicks = $remtok(%nickserv.nicks,$3,32)
    if (%nickserv.lower == 0) .set %nickserv.pass $gettok(%nickserv.pass,2-,32)
    else {
      .set %nickserv.lower 1 $+ - $+ %nickserv.lower
      .set %nickserv.upper %nickserv.upper $+ -
      .set %nickserv.lpass $gettok(%nickserv.pass,%nickserv.lower,32)
      .set %nickserv.upass $gettok(%nickserv.pass,%nickserv.upper,32)
      .set %nickserv.pass %nickserv.lpass %nickserv.upass
      .unset %nickserv.lpass | .unset %nickserv.upass | .unset %nickserv.lower | .unset %nickserv.upper
    }
    .settings.check Your DalNet Info
  }
  elseif (Channel == $1 && > isin $2) {
    .set %chanserv.aopchans $remtok(%chanserv.aopchans,$3,32)
    .settings.check Your DalNet Info
  }
  elseif (**None == $1) { .settings.check Your DalNet Info }
  elseif (Clone isin $1 && Detection: isin $3) { .chantoggle.win botchecker %botchecker | .settings.check Clone Detection }
  elseif (Min isin $1 && Clone == $2) { .window -n @settings | .set %clonelimit $$?="Enter the number of Clones til detect:" | .set %currentclonelimit %clonelimit Clones | .settings.check Clone Detection }
  elseif (Change isin $1 && Clones == $2 && Number == $2) { .window -n @settings | .set %clonelimit $$?="Enter the number of Clones til detect:" | .set %currentclonelimit %clonelimit Clones | .settings.check Clone Detection }
  elseif (Clone isin $1 && Detection isin $2) {
    .window -r @settings  
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(69,*)
    .aline @Settings $str(18,*) Double click on the entry to toggle $str(74,*)
    .aline @Settings Clone Check Detection: > $+ $str(30,-) $+ < %currentBotChecker
    .aline @Settings Min Clone Number to Detect: > $+ $str(24,-) $+ < %currentclonelimit
    .aline @Settings $str(80,*)
    .aline @Settings $str(22,-) $+ < $+ Change Number of Clones til Detect $+ > $+ $str(76,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(56,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;    .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection 
  } 
  elseif (Add isin $1 && Perv isin $6) { .window -n @settings | .toggle.win Added sickchanlist $$?="Enter word to search for" 32 Perv Channel List | .settings.check Perv Check Detection }
  elseif (Remove isin $1 && Perv isin $6) { .window -n @settings | .toggle.win Removed sickchanlist $$?="Enter word to remove" 32 Perv Channel List | .settings.check Perv Check Detection }
  elseif (Perv isin $1 && Detection: isin $3) { .chantoggle.win sickocheck %sickocheck | .settings.check Perv Check Detection }
  elseif (Perv isin $1 && Auto-Kick == $3) { .chantoggle.win autosickkick %autosickkick | .settings.check Perv Check Protection }
  elseif (Perv == $1 && Search == $4 && For: == $5) { .settings.check Perv Check Protection }
  elseif (Perv isin $1 && Check == $2) {
    .window -r @settings  
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(49,*)
    .aline @Settings $str(18,*) Double click on the entry to toggle $str(24,*)
    .aline @Settings Perv Check Detection: > $+ $str(32,-) $+ < %currentsickocheck
    .aline @Settings Perv Check Auto-Kick Ban? > $+ $str(12,-) $+ < %currentautosickkick
    .aline @Settings Perv Words to Search For: %sickchanlist
    .aline @Settings $str(80,*)
    .aline @Settings $str(22,-) $+ < $+ Remove a word from the Perv List $+ > $+ $str(76,-)
    .aline @Settings $str(26,-) $+ < $+ Add a word to the Perv List $+ > $+ $str(76,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(76,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;    .timer902 0 1 findclick2 @settings timer902 /settings.win
    .set %settings.prev Channel Protection 
  }
  elseif (Your isin $1 && DalNet isin $2) {
    .window -r @settings  
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(69,*)
    .aline @Settings $str(18,*) Double click on the entry to remove $str(74,*)
    .aline @Settings $str(25,*) Registered Nicks: $str(54,*) 
    .set %settings.friendcount 1
    :nicksloop
    .set %settings.friend $gettok(%nickserv.nicks,%settings.friendcount,32)
    if (%settings.friend == $null) goto nicksfinish
    else {
      .set %settings.pass $gettok(%nickserv.pass,%settings.friendcount,32)
      .aline @settings Nick %settings.friendcount $+ > %settings.friend  Pass: %settings.pass
      .inc %settings.friendcount
      goto nicksloop
    }
    :nicksfinish
    if (%settings.friendcount == 1) .aline @settings **None
    .set %settings.friendcount 1
    .aline @Settings $str(25,*) Opped Channels: $str(77,*) 
    :chansloop
    .set %settings.friend $gettok(%chanserv.aopchans,%settings.friendcount,32)
    if (%settings.friend == $null) goto chansfinish
    else {
      .aline @settings Channel %settings.friendcount $+ > %settings.friend  
      .inc %settings.friendcount
      goto chansloop
    }
    :chansfinish
    if (%settings.friendcount == 1) .aline @settings **None
    .unset %settings.friendcount | .unset %settings.friend | .unset %settings.pass
    .aline @Settings $str(80,*)
    .aline @Settings $str(23,-) $+ < $+ Add Channel to Opped Channels List $+ > $+ $str(76,-)
    .aline @Settings $str(24,-) $+ < $+ Add Nick to Registered Nicks List $+ > $+ $str(76,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(66,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .unset %settings.prev
  }
  elseif (Channel == $2 && Opped == $4) { .window -n @settings | .set %chanserv.aopchans $addtok(%chanserv.aopchans,$$?="Enter Your Opped Channel",32) | .settings.check Your DalNet Info }
  elseif (Nick == $2 && Registered == $4) { 
    .window -n @settings 
    .set %tempserv.nicks $$?="Enter The nick to add"
    .set %tempserv.pass $$?="Enter The password"
    .set %nickserv.nicks %tempserv.nicks %nickserv.nicks
    .set %nickserv.pass %tempserv.pass %nickserv.pass 
    .unset %tempserv.*
    .settings.check Your DalNet Info 
  }
  
  elseif (Friends isin $1 && Lists isin $2) {
    .window -r @settings  
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(69,*)
    .aline @Settings $str(18,*) Double click on the entry to remove $str(74,*)
    .aline @Settings $str(25,*) Friends Lists: $str(74,*) 
    .set %settings.friendcount 1
    :friendloop
    .set %settings.friend $gettok(%friendlist,%settings.friendcount,32)
    if (%settings.friend == $null) goto friendfinish
    else {
      .aline @settings F %settings.friendcount $+ > %settings.friend
      .inc %settings.friendcount
      goto friendloop
    }
    :friendfinish
    if (%settings.friendcount == 1) .aline @settings **None
    .aline @Settings $str(25,*) Enemy Lists: $str(73,*)
    .set %settings.friendcount 1
    :enemyloop
    .set %settings.enemy $gettok(%shitlist,%settings.friendcount,32)
    if (%settings.enemy == $null) goto enemyfinish
    else {
      .aline @settings E %settings.friendcount $+ > %settings.enemy
      .inc %settings.friendcount
      goto enemyloop
    }
    :enemyfinish
    if (%settings.friendcount == 1) .aline @settings **None
    .aline @Settings $str(80,*)
    .aline @Settings $str(24,-) $+ < $+ Add Nick $+ $chr(92) $+ Hostmask to Friend List $+ > $+ $str(86,-)
    .aline @Settings $str(24,-) $+ < $+ Add Nick $+ $chr(92) $+ Hostmask to Enemy List $+ > $+ $str(76,-)
    .aline @Settings $str(33,-) $+ < $+ Previous Menu $+ > $+ $str(76,-)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .unset %settings.prev
  }
  elseif (Add isin $1 && Friend == $4 && hostmask isin $2) { .window -n @settings | .friend.win add $$?="Enter Nick/Hostmask to add" | .settings.check Friends $+ $chr(92) $+ Enemy Lists }
  elseif (Add isin $1 && Enemy == $4 && hostmask isin $2) { .window -n @settings | .enemy.win add $$?="Enter Nick/Hostmask to add" | .settings.check Friends $+ $chr(92) $+ Enemy Lists }
  elseif (F == $1) { .friend.win del $3 | .settings.check Friends $+ $chr(92) $+ Enemy Lists }
  elseif (E == $1) { .enemy.win del $3 | .settings.check Friends $+ $chr(92) $+ Enemy Lists }
  elseif (Message == $1 && Lines == $3) { .settings.check Personal Protection }
  elseif (Notice == $1 && Lines == $3) { .settings.check Personal Protection }
  else {
    .window -dlo @Settings 100 50 500 400 
    .winclear @Settings
    .aline @Settings $str(19,*) ToRrMiNaToR Settings Controls $str(69,*)
    .aline @Settings $str(19,*) Double click to view the settings $str(74,*)
    .aline @Settings $str(32,-) $+ < $+ Auto Toggles $+ > $+ $str(66,-)  
    .aline @Settings $str(29,-) $+ < $+ Personal Protection $+ > $+ $str(66,-) 
    .aline @Settings $str(29,-) $+ < $+ Channel Protection $+ > $+ $str(66,-)
    .aline @Settings $str(29,-) $+ < $+ Friends $+ $chr(92) $+ Enemy Lists $+ > $+ $str(76,-)
    .aline @Settings $str(30,-) $+ < $+ Your DalNet Info $+ > $+ $str(76,-)
    .aline @Settings $str(80,*)
    .aline @Settings $str(36,-) $+ < $+ EXIT $+ > $+ $str(70,-)  
    ;   .timer902 0 1 findclick2 @settings timer902 /settings.win
    .unset %settings.prev
  }
}
settings { 
  if (%helpwin == -t) .set %setwin -s
  else .set %setwin %helpwin
  .play -ctsettings %setwin torrhelp.txt 0
}
fsettings {
  if (%helpwin == -t) .set %setwin -s
  else .set %setwin %helpwin
  .play -ctfsettings %setwin torrhelp.txt 0
}
asettings {
  if (%helpwin == -t) .set %setwin -s
  else .set %setwin %helpwin
  .play -ctasettings %setwin torrhelp.txt 0
}
